---
lang: en
title: 'API docs: context.context._debug'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.context._debug.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [Context](./context.context.md) &gt; [\_debug](./context.context._debug.md)

## Context.\_debug property

A debug function which can be overridden by subclasses.

**Signature:**

```typescript
protected _debug: Debugger;
```

## Example


```ts
import debugFactory from 'debug';
const debug = debugFactory('loopback:context:application');
export class Application extends Context {
  super('application');
  this._debug = debug;
}
```


